import sys
import os
from subprocess import call

def find_files(basedir):
    print 'Search for files files in:', basedir
    tiffiles = []
    for root, _dirs, files in os.walk(basedir, topdown=False):
        for name in files:
            if os.path.splitext(name)[1].lower() != '.tif':
                continue
            tiffiles.append(name)
    return tiffiles

def convertFiles(srcpath, files, epsg, tarpath):
    if not os.path.isdir(tarpath):
        os.makedirs(tarpath)

    for f in files:
        print "Process", f
        cmd  = "gdal_translate -a_srs \"+init=epsg:%s\" -co \"compress=LZW\" -co \"tiled=yes\"  %s %s " % (epsg, os.path.join(srcpath,f), os.path.join(tarpath,f))
        call(cmd, shell=True)


srcpath = sys.argv[1]
files   = find_files(srcpath)
epsg    = sys.argv[2]
tarpath = sys.argv[3]

convertFiles(srcpath, files, epsg, tarpath)
